uname -r issue

garethhards

New Member
Joined
Feb 2, 2021
Messages
9
Reaction score
0
Credits
231
[email protected]:~ $ uname -r
5.10.11-v7l+

[email protected]:~/usbwifi/rtl8821CU $ sudo apt-get install dkms
Reading package lists... Done
Building dependency tree
Reading state information... Done
dkms is already the newest version (2.6.1-4).
The following packages were automatically installed and are no longer required:
gconf-service gconf2-common libexiv2-14 libgconf-2-4 libgfortran3
libgmime-2.6-0 libncurses5 libssl1.0.2 rpi-eeprom-images uuid-dev
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
[email protected]:~/usbwifi/rtl8821CU $ DRV_NAME=rtl8821CU
[email protected]:~/usbwifi/rtl8821CU $ DRV_VERSION=5.2.5.3
[email protected]:~/usbwifi/rtl8821CU $ sudo mkdir /usr/src/${DRV_NAME}-${DRV_VERSION}
mkdir: cannot create directory ‘/usr/src/rtl8821CU-5.2.5.3’: File exists
[email protected]:~/usbwifi/rtl8821CU $ git archive master | sudo tar -x -C /usr/src/${DRV_NAME}-${DRV_VERSION}
[email protected]:~/usbwifi/rtl8821CU $ sudo dkms add -m ${DRV_NAME} -v ${DRV_VERSION}

Creating symlink /var/lib/dkms/rtl8821CU/5.2.5.3/source ->
/usr/src/rtl8821CU-5.2.5.3

DKMS: add completed.
[email protected]:~/usbwifi/rtl8821CU $ sudo dkms build -m ${DRV_NAME} -v ${DRV_VERSION}
Error! echo
Your kernel headers for kernel 5.10.11-v7l+ cannot be found at
[email protected]:~/usbwifi/rtl8821CU $ sudo dkms install -m ${DRV_NAME} -v ${DRV_VERSION}
Error! echo
Your kernel headers for kernel 5.10.11-v7l+ cannot be found at
/lib/modules/5.10.11-v7l+/build or /lib/modules/5.10.11-v7l+/source.
[email protected]:~/usbwifi/rtl8821CU $ sudo dkms build -m ${DRV_NAME} -v ${DRV_VERSION}
Error! echo
Your kernel headers for kernel 5.10.11-v7l+ cannot be found at
/lib/modules/5.10.11-v7l+/build or /lib/modules/5.10.11-v7l+/source.
[email protected]:~/usbwifi/rtl8821CU $ sudo apt update
Hit:1 https://deb.nodesource.com/node_12.x buster InRelease
Hit:2 http://raspbian.raspberrypi.org/raspbian buster InRelease
Hit:3 http://archive.raspberrypi.org/debian buster InRelease
Get:4 http://packages.microsoft.com/repos/code stable InRelease [10.4 kB]
Get:5 https://dl.yarnpkg.com/debian stable InRelease [17.1 kB]
Get:6 http://packages.microsoft.com/repos/code stable/main arm64 Packages [11.3 kB]
Get:7 http://packages.microsoft.com/repos/code stable/main armhf Packages [11.2 kB]
Get:8 http://packages.microsoft.com/repos/code stable/main amd64 Packages [10.8 kB]
Fetched 60.9 kB in 3s (23.3 kB/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done
1 package can be upgraded. Run 'apt list --upgradable' to see it.
[email protected]:~/usbwifi/rtl8821CU $ sudo apt upgrade
 


wizardfromoz

Administrator
Staff member
Gold Supporter
Joined
Apr 30, 2017
Messages
6,620
Reaction score
5,378
Credits
19,579
And your question is?

Might help

Chris Turner
wizardfromoz
 

f33dm3bits

Gold Member
Gold Supporter
Joined
Dec 11, 2019
Messages
3,893
Reaction score
2,631
Credits
28,122
And your question is?

Might help

Chris Turner
wizardfromoz
That and which kernel headers package did you install, without knowing any other information you try install the rasperrypi kernel-headers package.
Code:
sudo apt-get install raspberrypi-kernel-headers
 
OP
G

garethhards

New Member
Joined
Feb 2, 2021
Messages
9
Reaction score
0
Credits
231
[email protected]:~ $ sudo apt-get install raspberrypi-kernel-headers
Reading package lists... Done
Building dependency tree
Reading state information... Done
raspberrypi-kernel-headers is already the newest version (1.20210108-1).
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
[email protected]:~ $
 

f33dm3bits

Gold Member
Gold Supporter
Joined
Dec 11, 2019
Messages
3,893
Reaction score
2,631
Credits
28,122
And your question is?

Might help

Chris Turner
wizardfromoz
What is your question and can you share the output of the following?
Code:
apt-cache search linux-headers
 
OP
G

garethhards

New Member
Joined
Feb 2, 2021
Messages
9
Reaction score
0
Credits
231
[email protected]:~ $ apt-cache search linux-headers
aufs-dkms - DKMS files to build and install aufs
linux-headers-4.18.0-3-common - Common header files for Linux 4.18.0-3
linux-headers-4.18.0-3-common-rt - Common header files for Linux 4.18.0-3-rt
linux-headers-4.9.0-6-all - All header files for Linux 4.9 (meta-package)
linux-headers-4.9.0-6-all-armhf - All header files for Linux 4.9 (meta-package)
linux-headers-4.9.0-6-common - Common header files for Linux 4.9.0-6
linux-headers-4.9.0-6-common-rt - Common header files for Linux 4.9.0-6-rt
linux-headers-4.9.0-6-rpi - Header files for Linux 4.9.0-6-rpi
linux-headers-4.9.0-6-rpi2 - Header files for Linux 4.9.0-6-rpi2
linux-headers-rpi - Header files for Linux rpi configuration (meta-package)
linux-headers-rpi-rpfv - This metapackage will pull in the headers for the raspbian kernel for the
linux-headers-rpi2 - Header files for Linux rpi2 configuration (meta-package)
linux-headers-rpi2-rpfv - This metapackage will pull in the headers for the raspbian kernel for the
linux-libc-dev-alpha-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-amd64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-arm64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-armel-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-armhf-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-hppa-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-i386-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-m68k-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mips-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mips64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mips64el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mips64r6-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mips64r6el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsel-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsn32-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsn32el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsn32r6-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsn32r6el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsr6-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsr6el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-powerpc-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-powerpcspe-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-ppc64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-ppc64el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-riscv64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-s390x-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-sh4-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-sparc64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-x32-cross - Linux Kernel Headers for development (for cross-compiling)
raspberrypi-kernel-headers - Header files for the Raspberry Pi Linux kernel
[email protected]:~ $
 

f33dm3bits

Gold Member
Gold Supporter
Joined
Dec 11, 2019
Messages
3,893
Reaction score
2,631
Credits
28,122
Try installing: linux-headers-rpi, since all the other headers don't match your kernel.
 
OP
G

garethhards

New Member
Joined
Feb 2, 2021
Messages
9
Reaction score
0
Credits
231
[email protected]:~ $ apt-cache search linux-headers
aufs-dkms - DKMS files to build and install aufs
linux-headers-4.18.0-3-common - Common header files for Linux 4.18.0-3
linux-headers-4.18.0-3-common-rt - Common header files for Linux 4.18.0-3-rt
linux-headers-4.9.0-6-all - All header files for Linux 4.9 (meta-package)
linux-headers-4.9.0-6-all-armhf - All header files for Linux 4.9 (meta-package)
linux-headers-4.9.0-6-common - Common header files for Linux 4.9.0-6
linux-headers-4.9.0-6-common-rt - Common header files for Linux 4.9.0-6-rt
linux-headers-4.9.0-6-rpi - Header files for Linux 4.9.0-6-rpi
linux-headers-4.9.0-6-rpi2 - Header files for Linux 4.9.0-6-rpi2
linux-headers-rpi - Header files for Linux rpi configuration (meta-package)
linux-headers-rpi-rpfv - This metapackage will pull in the headers for the raspbian kernel for the
linux-headers-rpi2 - Header files for Linux rpi2 configuration (meta-package)
linux-headers-rpi2-rpfv - This metapackage will pull in the headers for the raspbian kernel for the
linux-libc-dev-alpha-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-amd64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-arm64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-armel-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-armhf-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-hppa-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-i386-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-m68k-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mips-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mips64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mips64el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mips64r6-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mips64r6el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsel-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsn32-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsn32el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsn32r6-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsn32r6el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsr6-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsr6el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-powerpc-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-powerpcspe-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-ppc64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-ppc64el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-riscv64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-s390x-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-sh4-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-sparc64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-x32-cross - Linux Kernel Headers for development (for cross-compiling)
raspberrypi-kernel-headers - Header files for the Raspberry Pi Linux kernel
[email protected]:~ $




IS IT BETTER NOW?
 
OP
G

garethhards

New Member
Joined
Feb 2, 2021
Messages
9
Reaction score
0
Credits
231
[email protected]:~ $ sudo apt-get install linux-headers-rpi
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
cpp-4.9 gcc-4.9 libasan1 libcloog-isl4 libgcc-4.9-dev libisl15 libubsan0
linux-compiler-gcc-4.9-arm linux-headers-4.9.0-6-common
linux-headers-4.9.0-6-rpi linux-kbuild-4.9
Suggested packages:
gcc-4.9-locales gcc-4.9-doc libgcc1-dbg libgomp1-dbg libitm1-dbg
libatomic1-dbg libasan1-dbg liblsan0-dbg libtsan0-dbg libubsan0-dbg
libcilkrts5-dbg libquadmath0-dbg
The following NEW packages will be installed:
cpp-4.9 gcc-4.9 libasan1 libcloog-isl4 libgcc-4.9-dev libisl15 libubsan0
linux-compiler-gcc-4.9-arm linux-headers-4.9.0-6-common
linux-headers-4.9.0-6-rpi linux-headers-rpi linux-kbuild-4.9
0 upgraded, 12 newly installed, 0 to remove and 0 not upgraded.
Need to get 19.5 MB of archives.
After this operation, 86.2 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://mirror.liquidtelecom.com/raspbian/raspbian buster/main armhf libisl15 armhf 0.18-4 [423 kB]
Get:2 http://mirror.liquidtelecom.com/raspbian/raspbian buster/main armhf libcloog-isl4 armhf 0.18.4-2 [50.7 kB]
Get:3 http://mirror.liquidtelecom.com/raspbian/raspbian buster/main armhf cpp-4.9 armhf 4.9.4-2+rpi1+b19 [4,281 kB]
Get:4 http://mirror.liquidtelecom.com/raspbian/raspbian buster/main armhf libasan1 armhf 4.9.4-2+rpi1+b19 [158 kB]
Get:5 http://mirror.liquidtelecom.com/raspbian/raspbian buster/main armhf libubsan0 armhf 7.3.0-19 [106 kB]
Get:6 http://mirror.liquidtelecom.com/raspbian/raspbian buster/main armhf libgcc-4.9-dev armhf 4.9.4-2+rpi1+b19 [350 kB]
Get:7 http://mirror.liquidtelecom.com/raspbian/raspbian buster/main armhf gcc-4.9 armhf 4.9.4-2+rpi1+b19 [4,479 kB]
Get:8 http://mirror.liquidtelecom.com/raspbian/raspbian buster/main armhf linux-compiler-gcc-4.9-arm armhf 4.9.82-1+deb9u3+rpi2 [530 kB]
Get:9 http://mirror.liquidtelecom.com/raspbian/raspbian buster/main armhf linux-headers-4.9.0-6-common all 4.9.82-1+deb9u3+rpi2 [7,532 kB]
Get:10 http://mirror.liquidtelecom.com/raspbian/raspbian buster/main armhf linux-kbuild-4.9 armhf 4.9.82-1+deb9u3+rpi2 [706 kB]
Get:11 http://mirror.liquidtelecom.com/raspbian/raspbian buster/main armhf linux-headers-4.9.0-6-rpi armhf 4.9.82-1+deb9u3+rpi2 [923 kB]
Get:12 http://mirror.liquidtelecom.com/raspbian/raspbian buster/main armhf linux-headers-rpi armhf 4.9+80+deb9u4+rpi2 [6,652 B]
Fetched 19.5 MB in 8s (2,351 kB/s)
Selecting previously unselected package libisl15:armhf.
(Reading database ... 226117 files and directories currently installed.)
Preparing to unpack .../00-libisl15_0.18-4_armhf.deb ...
Unpacking libisl15:armhf (0.18-4) ...
Selecting previously unselected package libcloog-isl4:armhf.
Preparing to unpack .../01-libcloog-isl4_0.18.4-2_armhf.deb ...
Unpacking libcloog-isl4:armhf (0.18.4-2) ...
Selecting previously unselected package cpp-4.9.
Preparing to unpack .../02-cpp-4.9_4.9.4-2+rpi1+b19_armhf.deb ...
Unpacking cpp-4.9 (4.9.4-2+rpi1+b19) ...
Selecting previously unselected package libasan1:armhf.
Preparing to unpack .../03-libasan1_4.9.4-2+rpi1+b19_armhf.deb ...
Unpacking libasan1:armhf (4.9.4-2+rpi1+b19) ...
Selecting previously unselected package libubsan0:armhf.
Preparing to unpack .../04-libubsan0_7.3.0-19_armhf.deb ...
Unpacking libubsan0:armhf (7.3.0-19) ...
Selecting previously unselected package libgcc-4.9-dev:armhf.
Preparing to unpack .../05-libgcc-4.9-dev_4.9.4-2+rpi1+b19_armhf.deb ...
Unpacking libgcc-4.9-dev:armhf (4.9.4-2+rpi1+b19) ...
Selecting previously unselected package gcc-4.9.
Preparing to unpack .../06-gcc-4.9_4.9.4-2+rpi1+b19_armhf.deb ...
Unpacking gcc-4.9 (4.9.4-2+rpi1+b19) ...
Selecting previously unselected package linux-compiler-gcc-4.9-arm.
Preparing to unpack .../07-linux-compiler-gcc-4.9-arm_4.9.82-1+deb9u3+rpi2_armhf.deb ...
Unpacking linux-compiler-gcc-4.9-arm (4.9.82-1+deb9u3+rpi2) ...
Selecting previously unselected package linux-headers-4.9.0-6-common.
Preparing to unpack .../08-linux-headers-4.9.0-6-common_4.9.82-1+deb9u3+rpi2_all.deb ...
Unpacking linux-headers-4.9.0-6-common (4.9.82-1+deb9u3+rpi2) ...
Selecting previously unselected package linux-kbuild-4.9.
Preparing to unpack .../09-linux-kbuild-4.9_4.9.82-1+deb9u3+rpi2_armhf.deb ...
Unpacking linux-kbuild-4.9 (4.9.82-1+deb9u3+rpi2) ...
Selecting previously unselected package linux-headers-4.9.0-6-rpi.
Preparing to unpack .../10-linux-headers-4.9.0-6-rpi_4.9.82-1+deb9u3+rpi2_armhf.deb ...
Unpacking linux-headers-4.9.0-6-rpi (4.9.82-1+deb9u3+rpi2) ...
Selecting previously unselected package linux-headers-rpi.
Preparing to unpack .../11-linux-headers-rpi_4.9+80+deb9u4+rpi2_armhf.deb ...
Unpacking linux-headers-rpi (4.9+80+deb9u4+rpi2) ...
Setting up linux-headers-4.9.0-6-common (4.9.82-1+deb9u3+rpi2) ...
Setting up libasan1:armhf (4.9.4-2+rpi1+b19) ...
Setting up libisl15:armhf (0.18-4) ...
Setting up linux-kbuild-4.9 (4.9.82-1+deb9u3+rpi2) ...
Setting up libcloog-isl4:armhf (0.18.4-2) ...
Setting up libubsan0:armhf (7.3.0-19) ...
Setting up cpp-4.9 (4.9.4-2+rpi1+b19) ...
Setting up libgcc-4.9-dev:armhf (4.9.4-2+rpi1+b19) ...
Setting up gcc-4.9 (4.9.4-2+rpi1+b19) ...
Setting up linux-compiler-gcc-4.9-arm (4.9.82-1+deb9u3+rpi2) ...
Setting up linux-headers-4.9.0-6-rpi (4.9.82-1+deb9u3+rpi2) ...
/etc/kernel/header_postinst.d/dkms:
Error! Bad return status for module build on kernel: 4.9.0-6-rpi (armv7l)
Consult /var/lib/dkms/rtl8821CU/5.2.5.3/build/make.log for more information.
Error! Bad return status for module build on kernel: 4.9.0-6-rpi (armv7l)
Consult /var/lib/dkms/rtl88x2bu/#MODULE_VERSION#/build/make.log for more information.
Setting up linux-headers-rpi (4.9+80+deb9u4+rpi2) ...
Processing triggers for man-db (2.8.5-2) ...
Processing triggers for libc-bin (2.28-10+rpi1) ...
[email protected]:~ $

OK THANK YOU I DID BUT LOOK AT WHAT THE RESULTS ARE PLEASE DID IT WORK
 
OP
G

garethhards

New Member
Joined
Feb 2, 2021
Messages
9
Reaction score
0
Credits
231
[email protected]:~ $ sudo apt-get install linux-headers-rpi
Reading package lists... Done
Building dependency tree
Reading state information... Done
linux-headers-rpi is already the newest version (4.9+80+deb9u4+rpi2).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
[email protected]:~ $
 
OP
G

garethhards

New Member
Joined
Feb 2, 2021
Messages
9
Reaction score
0
Credits
231
[email protected]:~ $ apt-cache search linux-headers
aufs-dkms - DKMS files to build and install aufs
linux-headers-4.18.0-3-common - Common header files for Linux 4.18.0-3
linux-headers-4.18.0-3-common-rt - Common header files for Linux 4.18.0-3-rt
linux-headers-4.9.0-6-all - All header files for Linux 4.9 (meta-package)
linux-headers-4.9.0-6-all-armhf - All header files for Linux 4.9 (meta-package)
linux-headers-4.9.0-6-common - Common header files for Linux 4.9.0-6
linux-headers-4.9.0-6-common-rt - Common header files for Linux 4.9.0-6-rt
linux-headers-4.9.0-6-rpi - Header files for Linux 4.9.0-6-rpi
linux-headers-4.9.0-6-rpi2 - Header files for Linux 4.9.0-6-rpi2
linux-headers-rpi - Header files for Linux rpi configuration (meta-package)
linux-headers-rpi-rpfv - This metapackage will pull in the headers for the raspbian kernel for the
linux-headers-rpi2 - Header files for Linux rpi2 configuration (meta-package)
linux-headers-rpi2-rpfv - This metapackage will pull in the headers for the raspbian kernel for the
linux-libc-dev-alpha-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-amd64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-arm64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-armel-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-armhf-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-hppa-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-i386-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-m68k-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mips-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mips64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mips64el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mips64r6-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mips64r6el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsel-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsn32-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsn32el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsn32r6-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsn32r6el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsr6-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsr6el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-powerpc-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-powerpcspe-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-ppc64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-ppc64el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-riscv64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-s390x-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-sh4-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-sparc64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-x32-cross - Linux Kernel Headers for development (for cross-compiling)
raspberrypi-kernel-headers - Header files for the Raspberry Pi Linux kernel
[email protected]:~ $
 

f33dm3bits

Gold Member
Gold Supporter
Joined
Dec 11, 2019
Messages
3,893
Reaction score
2,631
Credits
28,122
Is your current running kernel another kernel other than the default kernel for raspberryOS? I suspect you are since according to the documentation that should be enough to install the kernel-headers(one being an alternative/alias name for the package) for rasperryOS.
 
Last edited:
$100 Digital Ocean Credit
Get a free VM to test out Linux!

Members online


Top